Bug 1690604

Summary: [kernel 5.0.x] IO Schedulers shoud be included in the kernel
Product: [Fedora] Fedora Reporter: Xose Vazquez Perez <xose.vazquez>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 29CC: airlied, bskeggs, hdegoede, ichavero, itamar, jarodwilson, jeremy, jglisse, john.j5live, jonathan, josef, kernel-maint, labbott, linville, mchehab, mjg59, steved
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel-5.0.6-300.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-04-09 00:02:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Xose Vazquez Perez 2019-03-19 19:23:55 UTC
CONFIG_MQ_IOSCHED_KYBER=m
CONFIG_IOSCHED_BFQ=m

should be:

CONFIG_MQ_IOSCHED_KYBER=y
CONFIG_IOSCHED_BFQ=y



Config from 4.xx was:
CONFIG_IOSCHED_NOOP=y
CONFIG_IOSCHED_DEADLINE=y
CONFIG_IOSCHED_CFQ=y



Thank you.

Comment 1 Laura Abbott 2019-03-19 20:04:59 UTC
Can you elaborate on why we need these builtin? I'm not opposed I just want to make sure this is documented.

Comment 3 Laura Abbott 2019-04-01 17:47:43 UTC
Thanks for the pointer. Based on other feedback as well, I think this makes sense. I'll push this for all 5.x branches and it should be picked up with the 5.0.6 build.

Comment 4 Fedora Update System 2019-04-04 15:40:31 UTC
kernel-headers-5.0.6-300.fc30 kernel-tools-5.0.6-300.fc30 kernel-5.0.6-300.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-961cda41f0

Comment 5 Fedora Update System 2019-04-04 15:42:20 UTC
kernel-headers-5.0.6-200.fc29 kernel-tools-5.0.6-200.fc29 kernel-5.0.6-200.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-be9add5b77

Comment 6 Fedora Update System 2019-04-04 15:47:07 UTC
kernel-headers-5.0.6-100.fc28 kernel-tools-5.0.6-100.fc28 kernel-5.0.6-100.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-65c6d11eba

Comment 7 Fedora Update System 2019-04-04 18:07:14 UTC
kernel-5.0.6-300.fc30, kernel-headers-5.0.6-300.fc30, kernel-tools-5.0.6-300.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-961cda41f0

Comment 8 Fedora Update System 2019-04-05 02:35:33 UTC
kernel-5.0.6-100.fc28, kernel-headers-5.0.6-100.fc28, kernel-tools-5.0.6-100.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-65c6d11eba

Comment 9 Fedora Update System 2019-04-05 03:26:04 UTC
kernel-5.0.6-200.fc29, kernel-headers-5.0.6-200.fc29, kernel-tools-5.0.6-200.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-be9add5b77

Comment 10 Fedora Update System 2019-04-09 00:02:49 UTC
kernel-5.0.6-300.fc30, kernel-headers-5.0.6-300.fc30, kernel-tools-5.0.6-300.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-04-09 01:13:25 UTC
kernel-5.0.6-100.fc28, kernel-headers-5.0.6-100.fc28, kernel-tools-5.0.6-100.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-04-09 02:19:03 UTC
kernel-5.0.6-200.fc29, kernel-headers-5.0.6-200.fc29, kernel-tools-5.0.6-200.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.